Subject: Re: Gallery submission - Ki-67 by Hasegawa
From: "Steve Bamford" <[email-masked]>
To: "Youngerman" <[email-masked]>
Date: Wed, 13 Mar 2002 18:22:27 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
  ----- Original Message ----- 
  From: Youngerman 
  To: [email-masked] 
  Sent: Friday, February 15, 2002 4:38 PM
  Subject: Gallery submission - Ki-67 by Hasegawa

  Here is my 1/72 scale Mitsubishi Ki-67 Hiryu by Hasegawa. Except for adding some detail in the cockpit, I built it out of the box. I used Aeromaster acrylics throughout and was very pleased with the finish. While masking the clear parts was a bit time consuming, the rest of the kit went together with ease. This was one of the finest Hasegawa kits I have built to date. My aircraft is finished in the markings of a Peggy flying with the 74th Army Group, 1st Squadron, early in 1945. I used the kit decals which went on very nicely with no silvering.
   
  Joe Youngerman
  Newnan GA